include:
  project: 'cencor/governance/ci-quality-gate'
  file: '/gitlab/gitlab-cd.yml'

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository"

  RUNNER_TAG: cencor-ci-runner
  FARGATE_TASK_DEFINITION: java-11-task

#cache:
  #key: maven-cache-key
  #paths:
    #- .m2/repository

stages:
  - build
  - autoversion
  - publish
  - DEV
  - QA
  - UAT
  - PRO

build:
  stage: build
  tags:
    - $RUNNER_TAG
  script: mvn clean install
  artifacts:
    when: on_failure
    expire_in: 1 day
    paths:
    - target/surefire-reports/

autoversion:
  image: cencor/maven:latest
  stage: autoversion
  tags:
    - $RUNNER_TAG
  only:
    - master
    - main
  script:
    - sh -e /home/cencor-ci/maven-autoversion.sh

